import request from '@/utils/request'

// 查询粉料配料列表
export function listChargeorder(query) {
	return request({
		url: '/wms/chargeorder/list',
		method: 'get',
		params: query
	});
}

// 查询粉料配料详细
export function getChargeorder(ID) {
	return request({
		url: '/wms/chargeorder/' + ID,
		method: 'get'
		});
}

// 新增粉料配料
export function addChargeorder(data) {
	return request({
		url: '/wms/chargeorder',
		method: 'post',
		data: data
	});
}

// 修改粉料配料
export function updateChargeorder(data) {
	return request({
		url: '/wms/chargeorder',
		method: 'put',
		data: data
	});
}

// 删除粉料配料
export function delChargeorder(ID) {
	return request({
		url: '/wms/chargeorder/' + ID,
		method: 'delete'
	});
}
